Page MenuHomePhabricator

No way to share saved query
Closed, ResolvedPublic

Description

  1. http://fab.wmflabs.org/search/query/advanced/
  2. Search something
  3. Reach the "Save custom query" button and click, save it
  4. Click the "edit" icon next to the item just created in the list of saved queries

I. Expected: a way to share the query.
II. Observed: nothing.

Details

Reference
fl172

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:29 AM
flimport set Reference to fl172.

qgiltest wrote on 2014-04-19 21:33:28 (UTC)

What do you mean by "sharing"? The saved search has a URL. Isn't this enough?

qgil wrote on 2014-04-23 04:00:13 (UTC)

Unclear report. Please explain what you mean if you reopen it.

aklapper wrote on 2014-04-23 08:04:56 (UTC)

Bugzilla allows sharing saved searches with a group, see https://bugzilla.wikimedia.org/userprefs.cgi?tab=saved-searches - however I'm not sure how often this is actively used, and it also has disadvantages (e.g. only the creator can update or change the query, which was highly annoying when I introduced the new PATCH_TO_REVIEW status making some queries omit tickets).

qgil wrote on 2014-04-23 14:23:57 (UTC)

Herald is supposed to to this job. It offers the possibility to create personal and global rules, and the latter can be edited by the users with access to them.

Closing as resolved.

qgil wrote on 2014-04-24 20:41:11 (UTC)

Just a test.

qgil wrote on 2014-04-24 20:42:18 (UTC)

Sorry, another test. The last one.

Nemo_bis wrote on 2014-06-15 10:20:46 (UTC)

Herald is supposed to to this job. It offers the possibility to create personal and global rules, and the latter can be edited by the users with access to them.

Personal rules are personal and global rules seem to affect everyone, how can they do what https://bugzilla.wikimedia.org/userprefs.cgi?tab=saved-searches do? Instructions welcome.

What do you mean by "sharing"? The saved search has a URL.

Does it? Can you share an example? Can't test right now due to T395.

aklapper wrote on 2014-06-16 10:58:00 (UTC)

I'm afraid that we won't have the same functionality in Phabricator. Which isn't necessarily bad, seeing the disadvantages of saved searches in Bugzilla (only the creator can update them so lots of them are broken or outdated, for example after we introduced a PATCH_TO_REVIEW status not covered by some "open tickets" saved searches that nobody can fix except for the creator of that saved searches who is missing in action).

I would love to have data how often which existing saved search in Bugzilla is run how often, to identify popular default searches.

But in general, people in Phabricator are supposed to define and save the searches they are interested in via http://fab.wmflabs.org/maniphest/query/edit/ , I guess. Or passing URLs.

Refering to the rule types offered via "http://fab.wmflabs.org/herald/new/ > Maniphest Tasks", I am afraid that global rules can only be edited by admins.

qgil wrote on 2014-08-31 19:07:29 (UTC)

In T172#16, @Nemo_bis wrote:

What do you mean by "sharing"? The saved search has a URL.

Does it? Can you share an example? Can't test right now due to T395.

See Query: Task 172 (open tasks mentioning "MediaWiki" having Nemo_bis as subscriber).

Nemo_bis wrote on 2014-09-03 14:13:26 (UTC)

In T172#22, @Qgil wrote:

See Query: Task 172 (open tasks mentioning "MediaWiki" having Nemo_bis as subscriber).

And the search can be updated while staying at the same URL?

qgil wrote on 2014-09-03 15:42:21 (UTC)

I'm not sure, but it it looks like not. When you edit a saved search and then you save it, a new search entry is created. One specific search corresponds to one specific query. I don't see a problem with this.

aklapper wrote on 2014-09-03 22:14:14 (UTC)

We could upstream this feature request and provide a screenshot of https://bugzilla.wikimedia.org/userprefs.cgi?tab=saved-searches but I don't expect anybody to work on this. As I wrote in T172#18 in Bugzilla the feature is buggy enough that I'm not a huge fan of it.

Qgil closed this task as Resolved.Nov 13 2014, 11:22 AM
Qgil claimed this task.

Resolving this task. Phabricator allows user to store saved searches, and you can share them by sharing the URL, which is a permalink.

If the conditions of the query change, the URL changes. If this is a problem, please create a new, specific task.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM